Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Exception

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AclNotFoundException, ClassNotFoundException, CloneNotSupportedException, DataFormatException, GeneralSecurityException, IllegalAccessException, InstantiationException, InterruptedException, InvocationTargetException, IOException, LastOwnerException, NoSuchFieldException, NoSuchMethodException, NotOwnerException, ParseException, PrivilegedActionException, RuntimeException, TooManyListenersException

public class Exception
extends Throwable

The class `Exception` and its subclasses are a form of `Throwable` that indicates conditions that a reasonable application might want to catch.

Since:
  JDK1.0
See Also:
  `Error`, Serialized Form

Constructor Summary
`Exception()` Constructs an `Exception` with no specified detail message.
`Exception(String s)` Constructs an `Exception` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Exception

    public Exception()

  Constructs an `Exception` with no specified detail message.

### Exception

    public Exception(String s)

  Constructs an `Exception` with the specified detail message.
  Parameters:
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >